%global srcname natsort
%global common_description %{expand:
Python module which provides "natural sorting".

Under natural sorting, numeric sub-strings are compared numerically, and the other
word characters are compared lexically.

Example:
unsorted:           ['a2', 'a9', 'a1', 'a4', 'a10']
lexicographic sort: ['a1', 'a10', 'a2', 'a4', 'a9']
natural sort:       ['a1', 'a2', 'a4', 'a9', 'a10']
}

%bcond_with tests

Summary:        Python library that sorts lists using the "natural order" sort
Name:           python-%{srcname}
Version:        7.1.1
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/SethMMorton/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  glibc-langpack-en python3-devel python3dist(setuptools)
%if %{with tests}
BuildRequires:  python3dist(pytest) python3dist(pytest-mock) python3dist(semver) python3dist(hypothesis)
%endif
%{?python_enable_dependency_generator}

BuildArch:      noarch
Suggests:       python3-pyicu

%description
%{common_description}

%package -n python3-%{srcname}
Summary:    Python library that sorts lists using the "natural order" sort

%description -n python3-%{srcname}
%{common_description}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%pytest
%endif

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{_bindir}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.1-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 21 2023 Shuo Wang <abushwang@tencent.com> - 7.1.1-2
- remove unused buildrequires

* Thu Jan 12 2023 Shuo Wang <abushwang@tencent.com> - 7.1.1-1
- initial build
